Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.portlet.modules.actions
Class LoginUser

    java.lang.Object
      org.deegree.portal.portlet.modules.actions.LoginUser

     class LoginUser

extends Object

This class can be used within listener classes that will be called if a user logs in into a portal. It reads the context documents from the users context directory that are storing the state of the maps when the users has logged out the last time.
At the moment a concrete listener is available for Jetspeed 1.6

Version:
  $Revision: 18195 $, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  `IGeoJetspeed16LoginUser`

Constructor Summary
`LoginUser()`

Method Summary
`(package private) File` | `ensureDirectory(javax.servlet.ServletContext sc, String user)` validates if a WMC directory for the passed user is already available and creates it if not.
`(package private) void` | `readContextDocuments(File dir, javax.servlet.http.HttpSession ses, User user)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoginUser

    LoginUser()

Method Detail

### ensureDirectory

    File ensureDirectory(javax.servlet.ServletContext sc,
                         String user)

  validates if a WMC directory for the passed user is already available and creates it if not. The user's WMC directory will be returned as in instance of <@link File>

  Parameters:
    `user` -
    `sc` -
  Returns:
    user's WMC directory

### readContextDocuments

    void readContextDocuments(File dir,
                              javax.servlet.http.HttpSession ses,
                              User user)

  Parameters:
    `dir` -
    `ses` -
    `user` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org